// This file is part of noxos and licensed under the MIT open source license

#ifndef NOXOS_MCFG_H
#define NOXOS_MCFG_H

#include "drivers/builtin/acpi/acpi.h"

typedef struct {
    acpi_sdt_header_T   header;
    uint64_t            reserved;
} __attribute__((packed)) acpi_mcfg_T;

typedef struct {
    uint64_t            base;
    uint16_t            pci_segment_group;
    uint8_t             pci_start_bus;
    uint8_t             pci_end_bus;
    uint32_t            reserved;
} __attribute__((packed)) acpi_mcfg_device_config_T;

extern acpi_mcfg_T* g_acpi_table_mcfg;

#endif //NOXOS_MCFG_H
