// This file is part of noxos and licensed under the MIT open source license

#ifndef NOXOS_DYNAMIC_H
#define NOXOS_DYNAMIC_H

#include <utils/stdtypes.h>

typedef enum {
    ELF_DYNAMIC_TAG_NULL,
    ELF_DYNAMIC_TAG_NEEDED,
    ELF_DYNAMIC_TAG_PLT_REL_SIZE,
    ELF_DYNAMIC_TAG_HASH,
    ELF_DYNAMIC_TAG_STRTAB,
    ELF_DYNAMIC_TAG_RELA,
    ELF_DYNAMIC_TAG_RELA_SIZE
} elf_dynamic_tag_E;

typedef struct {
    uint32_t tag;
    uint64_t value;
} elf_dynamic_T;

#endif //NOXOS_DYNAMIC_H