// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_RAMFS_H
#define NOX_RAMFS_H

#include "drivers/builtin/fs/vfs.h"

void     ramfs_file_delete  (vfs_node_T* node);
uint64_t ramfs_file_write   (vfs_node_T* node, uint64_t size, uint8_t* buffer_in);
uint64_t ramfs_file_read    (vfs_node_T* node, uint64_t size, uint8_t* buffer_out);


#endif //NOX_RAMFS_H
