// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_PIT_H
#define NOX_PIT_H

#include "utils/stdtypes.h"

#define PIT_CHANNEL_0_PORT  0x40
#define PIT_DIVISOR         32768   // This gives an interrupt every ~27.46ms

void pit_set_divisor(uint16_t divisor);

#endif //NOX_PIT_H
