// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_STACK_H
#define NOX_STACK_H

#include "utils/stdtypes.h"
#include "utils/symbol.h"

#include "drivers/builtin/elf/elf.h"

void stack_dump_call_info   (uint64_t rip, symbol_T* symbol);
void stack_trace_call_stack (uint64_t rbp);

extern uint64_t stack_get_caller();

#endif //NOX_STACK_H
