// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_MEMORY_H
#define NOX_MEMORY_H

#include "stdtypes.h"

void  memory_copy           (void* source, void* destination, uint32_t num);
void  memory_set            (void* destination, uint8_t data, uint32_t num);
bool  memory_compare        (void* a, void* b, uint32_t num);
void* memory_allocate       (uint64_t size);
void  memory_free           (void* address);
void  memory_allocator_init (void* base);
void  memory_hexdump        (uint8_t* address, uint64_t num);

#endif //NOX_MEMORY_H
