// This file is part of noxos and licensed under the MIT open source license

#include "drivers/builtin/elf/header.h"

string_t g_elf_target_architecture_strings[3] = {
        "Invalid",
        "32-bit",
        "64-bit"
};

string_t g_elf_endianness_strings[3] = {
        "Invalid",
        "Little endian",
        "Big Endian"
};

string_t g_elf_sysabi_strings[18] = {
        "System V",
        "HP-UX",
        "NetBSD",
        "Linux",
        "GNU Hurd",
        "Solaris",
        "AIX",
        "IRIX",
        "FreeBSD",
        "Tru64",
        "Novell Modesto",
        "OpenBSD",
        "OpenVMS",
        "NonStop Kernel",
        "AROS",
        "FenixOS",
        "Nuxi CloudABI",
        "Stratus Technologies OpenVOS"
};

string_t g_elf_object_type_strings[5] = {
        "None",
        "Relocatable Object",
        "Executable",
        "Shared Library",
        "Core Object"
};

string_t g_elf_instruction_set_strings[79] = {
        "Undefined",
        "AT&T WE 32100",
        "SPARC",
        "x86_32",
        "Motorola 68000",
        "Motorola 88000",
        "Intel MCU",
        "Intel 80860",
        "MIPS",
        "IBM System/370",
        "MIPS RS3000 Little-Endian",
        "Reserved 0x0B",
        "Reserved 0x0C",
        "Reserved 0x0D",
        "HP PA-RISC",
        "Reserved 0x0F",
        "Unknown 0x10",
        "Unknown 0x11",
        "Unknown 0x12",
        "Intel 80960",
        "PowerPC",
        "PowerPC 64",
        "S390(x)",
        "IBM SPU/SPC",
        "Reserved 0x18",
        "Reserved 0x19",
        "Reserved 0x1A",
        "Reserved 0x1B",
        "Reserved 0x1C",
        "Reserved 0x1D",
        "Reserved 0x1E",
        "Reserved 0x1F",
        "Reserved 0x20",
        "Reserved 0x21",
        "Reserved 0x22",
        "Reserved 0x23",
        "NEC V800",
        "Fujitsu FR20",
        "TRW RH-32",
        "Motorola RCE",
        "ARM-32",
        "Digital Alpha",
        "SuperH",
        "SPARC v9",
        "Siemens TriCore",
        "Argonaut RISC",
        "Hitachi H8/300",
        "Hitachi H8/300H",
        "Hitachi H8S",
        "Hitachi H8/500",
        "IA-64",
        "Stanford MIPS-X",
        "Motorola ColdFire",
        "Motorola M68HC12",
        "Fujitsu MultiMedia Accelerator",
        "Siemens PCP",
        "Sony nCPU",
        "Denso NDR1",
        "Motorola Star*Core",
        "Toyota ME16",
        "STMicroelectronis ST100",
        "Advanced Logic TinyJ",
        "x86_64",
        "Sony DSP",
        "Digital Equipment PDP-10",
        "Digital Equipment PDP-11",
        "Siemens FX66",
        "STMicroelectronis ST9+",
        "STMicroelectronis ST7",
        "Motorola MC68HC16",
        "Motorola MC68HC11",
        "Motorola MC68HC08",
        "Motorola MC68HC05",
        "Silicon Graphics SVx",
        "STMicroelectronics ST19",
        "Digital VAX",
        "Axis Communications 32-bit",
        "Infineon Communications 32-bit",
        "Element 14 64-bit DSP",
//    "LSI Logic 16-bit DSP",
//    "TMS320C6000 Family",
//    "MCST Elbrus e2k",
//    "ARM-64",
//    "Zilog Z80",
//    "RISC-V",
//    "Berkeley Packet Filter",
//    "WDC 64C816"
};
