// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_BOOT_INFO_H
#define NOX_BOOT_INFO_H

#include "utils/stdtypes.h"
#include "limine.h"

typedef struct {
    struct limine_framebuffer_response* framebuffer;
    struct limine_terminal_response*    terminal;
    struct limine_memmap_response*      memory_map;
    struct limine_file*                 kernel_file;
    struct limine_file*                 ramdisk_file;
    void*                               rsdp;
} boot_info_T;

#endif //NOX_BOOT_INFO_H
