// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_FRAMEBUFFER_H
#define NOX_FRAMEBUFFER_H

#include "utils/stdtypes.h"

typedef struct {
    void*       address;
    uint64_t    width;
    uint64_t    height;
    uint64_t    pitch;
    uint16_t    bits_per_pixel;
    uint8_t     bytes_per_pixel;
    uint8_t     shift_red;
    uint8_t     shift_green;
    uint8_t     shift_blue;
} framebuffer_T;

#endif //NOX_FRAMEBUFFER_H
