// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_SCANCODES_H
#define NOX_SCANCODES_H

#define PS2_SCANCODE_SET_1_ESCAPE           0x01
#define PS2_SCANCODE_SET_1_BACKSPACE        0x0E
#define PS2_SCANCODE_SET_1_TABULATOR        0x0F
#define PS2_SCANCODE_SET_1_RETURN           0x1C
#define PS2_SCANCODE_SET_1_SHIFT_LEFT       0x2A
#define PS2_SCANCODE_SET_1_SHIFT_RIGHT      0x36
#define PS2_SCANCODE_SET_1_ALT_LEFT         0x38
#define PS2_SCANCODE_SET_1_SPACE            0x39
#define PS2_SCANCODE_SET_1_CAPSLOCK         0x3A
#define PS2_SCANCODE_SET_1_NUMLOCK          0x45
#define PS2_SCANCODE_SET_1_SCROLLLOCK       0x46
#define PS2_SCANCODE_SET_1_F1               0x3B
#define PS2_SCANCODE_SET_1_F2               0x3C
#define PS2_SCANCODE_SET_1_F3               0x3D
#define PS2_SCANCODE_SET_1_F4               0x3E
#define PS2_SCANCODE_SET_1_F5               0x3F
#define PS2_SCANCODE_SET_1_F6               0x40
#define PS2_SCANCODE_SET_1_F7               0x41
#define PS2_SCANCODE_SET_1_F8               0x42
#define PS2_SCANCODE_SET_1_F9               0x43
#define PS2_SCANCODE_SET_1_F10              0x44
#define PS2_SCANCODE_SET_1_F11              0x57
#define PS2_SCANCODE_SET_1_F12              0x58

#define PS2_SCANCODE_SET_1_E0_CURSOR_UP     0x48
#define PS2_SCANCODE_SET_1_E0_CURSOR_LEFT   0x4B
#define PS2_SCANCODE_SET_1_E0_CURSOR_RIGHT  0x4D
#define PS2_SCANCODE_SET_1_E0_CURSOR_DOWN   0x50

#define PS2_SCANCODE_SET_1_RELEASE          0x80
#define PS2_SCANCODE_SET_1_MODIFIER         0xE0

#endif //NOX_SCANCODES_H
