// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_IO_H
#define NOX_IO_H

#include "stdtypes.h"

// sends one byte to a port
void     io_out_byte  (uint16_t port, uint8_t data);
uint8_t  io_in_byte   (uint16_t port);
void     io_out_word  (uint16_t port, uint32_t data);
uint32_t io_in_word   (uint16_t port);
void     io_wait      ();

#endif //NOX_IO_H
