// This file is part of noxos and licensed under the MIT open source license

#ifndef NOX_STATUS_H
#define NOX_STATUS_H

#include "string.h"

typedef enum {
    STATUS_SUCCESS,

    STATUS_PERMISSION_DENIED,
    STATUS_RESOURCE_NOT_AVAILABLE,
    STATUS_NOT_SUPPORTED,
    STATUS_GENERIC_ERROR
} status_E;

extern string_t g_status_code_strings[3];

#endif //NOX_STATUS_H
