// This file is part of noxos and licensed under the MIT open source license

#include "utils/math.h"

uint64_t pow(uint64_t base, uint64_t exp) {
    uint64_t n = 1;
    for (uint64_t i = 0; i < exp; i++) {
        n *= base;
    }
    return n;
}

uint64_t abs(int64_t n) {
    if (n < 0) {
        return n * -1;
    }
    return n;
}

uint64_t octal_string_to_int(string_t string, uint8_t size) {
    uint64_t n = 0;
    for (int i = 0; i < size; i++) {
        n *= 8;
        n += string[i] - '0';
    }
    return n;
}